Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233951 - Unable to build kernel (2.6.20-1.2307_FC5xen) on x86_64 - undefined reference to `no_irq_affinity'
Summary: Unable to build kernel (2.6.20-1.2307_FC5xen) on x86_64 - undefined reference...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel-xen
Version: 5
Hardware: x86_64
OS: Linux
medium
urgent
Target Milestone: ---
Assignee: Xen Maintainance List
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-26 11:11 UTC by Claudio Cuqui
Modified: 2009-12-14 20:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-27 00:01:28 UTC


Attachments (Terms of Use)
.config (deleted)
2007-03-26 11:11 UTC, Claudio Cuqui
no flags Details

Description Claudio Cuqui 2007-03-26 11:11:27 UTC
Description of problem:

Unable to finish kernel building process.

Error message below:

  CHK     include/linux/version.h
  CHK     include/linux/utsrelease.h
  CHK     include/linux/compile.h
  GEN     .version
  CHK     include/linux/compile.h
  UPD     include/linux/compile.h
  CC      init/version.o
  LD      init/built-in.o
  LD      .tmp_vmlinux1
arch/x86_64/kernel/built-in.o: In function `quirk_intel_irqbalance':
(.init.text+0x27d4): undefined reference to `no_irq_affinity'
make: *** [.tmp_vmlinux1] Error 1

Processor family used: Generic-X86-64 and AMD-Opteron/Athlon 64. Both show the
same problem.


Version-Release number of selected component (if applicable):

v2.6.20-1.2307_FC5xen0

How reproducible:

Always

Steps to Reproduce:

Just try to build the kernel :)
  
Actual results:

arch/x86_64/kernel/built-in.o: In function `quirk_intel_irqbalance':
(.init.text+0x27d4): undefined reference to `no_irq_affinity'
make: *** [.tmp_vmlinux1] Error 1

Expected results:

Kernel build with no errors.

Additional info:

.config is attached

Comment 1 Claudio Cuqui 2007-03-26 11:11:27 UTC
Created attachment 150889 [details]
.config

Comment 2 Stephen Tweedie 2007-03-26 14:01:42 UTC
Does it build with a default config?  We don't really support custom configs. 
Although we try not to break them, merging Xen kernels may well impose
additional constraints on which configs work.


Comment 3 Red Hat Bugzilla 2007-07-25 01:39:49 UTC
change QA contact

Comment 4 Chris Lalancette 2008-02-27 00:01:28 UTC
This report targets FC6, which is now end-of-life.

Please re-test against Fedora 7 or later, and if the issue persists, open a new bug.

Thanks



Note You need to log in before you can comment on or make changes to this bug.